## kolourpaint 25.08.2+p24.04+vunstable+git20251020.1348

=== debian/changelog ===
kolourpaint (4:25.08.2+p24.04+vunstable+git20251020.1348-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:48:34 +0000
