=== debian/control ===
Source: kolourpaint
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libkf6crash-dev (>= 6.5.0~),
               libkf6doctools-dev (>= 6.5.0~),
               libkf6guiaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6jobwidgets-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6textwidgets-dev (>= 6.5.0~),
               libkf6widgetsaddons-dev (>= 6.5.0~),
               libkf6xmlgui-dev (>= 6.5.0~),
               libksane-dev (>= 25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kolourpaint
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kolourpaint

Package: kolourpaint
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: simple image editor and drawing application
 KolourPaint is a simple drawing and image editing application for KDE.
 It aims to be easy to use, providing a level of functionality targeted towards
 the average user. It is ideal for common tasks such as drawing simple graphics
 and touching-up photos.
 .
 This package is part of the KDE graphics module.
