## kolourpaint 25.12.0+p24.04+vstable+git20260104.0112

=== debian/changelog ===
kolourpaint (4:25.12.0+p24.04+vstable+git20260104.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:12:58 +0000

kolourpaint (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:36:10 +1000
