## kolourpaint 25.12.1+p24.04+vstable+git20260106.1736

=== debian/changelog ===
kolourpaint (4:25.12.1+p24.04+vstable+git20260106.1736-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 17:36:07 +0000

kolourpaint (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:26:06 +1000
