## kolourpaint 25.12.1+p24.04+vunstable+git20260131.0132

=== debian/changelog ===
kolourpaint (4:25.12.1+p24.04+vunstable+git20260131.0132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:32:22 +0000
