=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.5.0~),
                gettext,
                libkf6crash-dev (>= 6.5.0~),
@@ -18,7 +18,7 @@
                libkf6textwidgets-dev (>= 6.5.0~),
                libkf6widgetsaddons-dev (>= 6.5.0~),
                libkf6xmlgui-dev (>= 6.5.0~),
-               libksane-dev (>= 25.12.1~),
+               libksane-dev (>= 25.12.2~),
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
 Standards-Version: 4.7.2
